# My NeoVim configuration

## Requirements
 - NeoVim
 - [Packer](https://github.com/wbthomason/packer.nvim)

To install packer run
```bash
git clone --depth 1 https://github.com/wbthomason/packer.nvim ~/.local/share/nvim/site/pack/packer/start/packer.nvim
```

To run LSP (autocomplete) you will also need the server for that language.
Currently, the languages servers that are configured are:
  - bash (bashls)[https://github.com/bash-lsp/bash-language-server]
  - c/c++ (ccls)[https://github.com/MaskRay/ccls]
  - prisma (prismals)[https://www.npmjs.com/package/@prisma/language-server]
  - python (pylsp)[https://github.com/python-lsp/python-lsp-server]
  - rust (rust_analyzer)
  - svelte (sveltelsp)[https://github.com/sveltejs/language-tools]
  - tex (ltex)[https://github.com/valentjn/ltex-ls]
  - ts (tsserver)[https://github.com/typescript-language-server/typescript-language-server]
  - vlang (vls)[https://github.com/vlang/vls]
  - zig (zls)[https://github.com/zigtools/zls]

## Instalation

1. After installing neovim and packer clone this repo to `.config/nvim`.
2. Start up NeoVim and run `:PackerSycn`
3. Restart neovim

## Some useful shortcuts

  - ' f': Find files uses fuzzy finding to search for files in the folder you are currently are
  - ' /': Search the files using grep
  - '<C-F>': Open file structure
  - 'gd': Goto definition
  - 'K': Show call signature
  - ']d': Goto next error
  - '[d': Goto previous error
