local colors = {
  black        = '#212121',
  white        = '#ebdbb2',
  red          = '#fb4934',
  green        = '#b8bb26',
  blue         = '#83a598',
  yellow       = '#fe8019',
  gray         = '#a89984',
  darkgray     = '#3c3836',
  lightgray    = '#504945',
  inactivegray = '#7c6f64',
  cute_light_pink='#FCDFE5',
  cute_light_blue='#25BFFC',
  cute_blue='#55cdfc',
  cute_pink='#F48DA2',
  green    = '#4EC930',
  red      = '#FC545D',
  ocre     = '#f7a8b8',
  orange   = '#FC8553'
}

local bubblegum_theme = {
  normal = {
    a = {bg = colors.cute_blue, fg = colors.black, gui = 'bold'},
    b = {bg = colors.cute_pink, fg = colors.cute_light_blue},
    c = {bg = colors.cute_light_pink, fg = colors.cute_light_blue}
  },
  insert = {
    a = {bg = colors.green, fg = colors.black, gui = 'bold'},
    b = {bg = colors.cute_pink, fg = colors.cute_light_blue},
    c = {bg = colors.cute_light_pink, fg = colors.cute_light_blue}
  },
  visual = {
    a = {bg = colors.yellow, fg = colors.black, gui = 'bold'},
    b = {bg = colors.cute_pink, fg = colors.cute_light_blue},
    c = {bg = colors.cute_light_pink, fg = colors.cute_light_blue}
  },
  replace = {
    a = {bg = colors.red, fg = colors.black, gui = 'bold'},
    b = {bg = colors.cute_pink, fg = colors.cute_light_blue},
    c = {bg = colors.cute_light_pink, fg = colors.cute_light_blue}
  },
  command = {
    a = {bg = colors.ocre, fg = colors.black, gui = 'bold'},
    b = {bg = colors.cute_pink, fg = colors.cute_light_blue},
    c = {bg = colors.cute_light_pink, fg = colors.cute_light_blue}
  },
  inactive = {
    a = {bg = colors.cute_light_pink, fg = colors.cute_light_blue, gui = 'bold'},
    b = {bg = colors.cute_light_pink, fg = colors.cute_light_blue},
    c = {bg = colors.cute_light_pink, fg = colors.cute_light_blue}
  }
}

require('lualine').setup {
  options = {
    icons_enabled = true,
    theme=bubblegum_theme,
    component_separators = { left = '', right = ''},
    section_separators = { left = '', right = ''},
    disabled_filetypes = {
      statusline = {},
      winbar = {},
    },
    ignore_focus = {},
    always_divide_middle = true,
    globalstatus = false,
    refresh = {
      statusline = 1000,
      tabline = 1000,
      winbar = 1000,
    }
  },
  sections = {
    lualine_a = {'mode'},
    lualine_b = {'branch', 'diff', 'diagnostics'},
    lualine_c = {'filename'},
    lualine_x = {'encoding', 'fileformat', 'filetype'},
    lualine_y = {'progress'},
    lualine_z = {'location'}
  },
  inactive_sections = {
    lualine_a = {},
    lualine_b = {},
    lualine_c = {'filename'},
    lualine_x = {'location'},
    lualine_y = {},
    lualine_z = {}
  },
  tabline = {},
  winbar = {},
  inactive_winbar = {},
  extensions = {"nvim-tree"}
}
